I create a simple web application using the play 2.5.4 UNSOLVED DEPENDENCY error framework. Can anyone help me?

advertisements

I have project structure as below as per Migration Document and New application Document for playframework 2.5.4.

plugins.sbt with:

resolvers += "Typesafe repository" at "http://repo.typesafe.com/typesafe/releases/"

 // Use the Play sbt plugin for Play projects
addSbtPlugin("com.typesafe.play" % "sbt-plugin" % "2.5.4")

build.sbt with:

name := """ProjectNameWebProxy"""

version := "1.0"

lazy val root = (project in file(".")).enablePlugins(PlayJava)

But following dependencies not found

 ::::::::::::::::::::::::::::::::::::::::::::::
 ::          UNRESOLVED DEPENDENCIES         ::
 ::::::::::::::::::::::::::::::::::::::::::::::
 :: com.typesafe.play#play-server_2.10;2.5.4: not found
 :: com.typesafe.play#play-java_2.10;2.5.4: not found
 :: com.typesafe.play#play-netty-server_2.10;2.5.4: not found
 :: com.typesafe.play#play-logback_2.10;2.5.4: not found
 :: com.typesafe.play#play-test_2.10;2.5.4: not found
 :: com.typesafe.play#play-omnidoc_2.10;2.5.4: not found
 ::::::::::::::::::::::::::::::::::::::::::::::

Kindly help me to get stared with demo project on web proxy.


In every unresolved dependency:

:: com.typesafe.play#play-server_2.10;2.5.4: not found

2.10 is Scala version and 2.5.4 is PlayFramework version. But PlayFramework 2.5.4 does not support Scala 2.10. The problem is solved by setting scala version in built.sbt:

scalaVersion := "2.11.7"

Now it will work with:

com.typesafe.play#play-server_2.11;2.5.4